| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Prompt.Man

Portability | non-portable (uses "manpath" and "bash")
Maintainer | Valery V. Vorotyntsev <valery.vv@gmail.com>

Contents

Usage

Description

A manual page prompt for XMonad window manager.

TODO

- narrow completions by section number, if the one is specified (like `/etc/bash_completion` does)

Synopsis

manPrompt :: XPConfig -> X ()
getCommandOutput :: String -> IO String

Usage

1. In your `~/.xmonad/xmonad.hs`:

     import XMonad.Prompt
     import XMonad.Prompt.Man

2. In your keybindings add something like:

         , ((modMask x, xK_F1), manPrompt defaultXPConfig)

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

manPrompt :: XPConfig -> X () | Source

Query for manual page to be displayed.

getCommandOutput :: String -> IO String | Source

Run a command using shell and return its output. XXX Merge into XMonad.Util.Run? (Ask "gurus" whether `evaluate (length ...)` approach is better/more idiomatic.)
Produced by Haddock version 2.4.2